Package ru.bitel.bgbilling.modules.drwebn.common.bean

# Class DrwebAgent

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgent

All Implemented Interfaces:
  `Serializable`, `Idable`

public class DrwebAgent extends DrwebAgentStatusBase

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

  `status, STATUS_BLOCKED, STATUS_CLOSE, STATUS_ERROR, STATUS_OK, statusDate, tariffId, tariffTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrwebAgent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAgentUUID()`
  `int`
  `getCid()`
  `Date`
  `getDateFrom()`
  `String`
  `getName()`
  `void`
  `setAgentUUID(String agentUUID)`
  `void`
  `setCid(int cid)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setName(String description)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

  `getStatus, getStatusDate, getStatusString, getTariffId, getTariffTitle, setStatus, setStatusDate, setTariffId, setTariffTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrwebAgent

    public DrwebAgent()

- ## Method Details

  - ### getAgentUUID

    public String getAgentUUID()

  - ### setAgentUUID

    public void setAgentUUID(String agentUUID)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String description)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)